From 1a9e5aa236a1a9259dc504f339b4816ae02cfe48 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 17:44:53 +0000
Subject: [PATCH 371/1001] Check explicitly for dogpile.cache.api.NoValue.


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index dc7b229..e784ef1 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -68,7 +68,8 @@ def smartcache(func):
 def invalidate_cache(widget, *args, **kwargs):
     key = cache_key_generator(widget, *args, **kwargs)
 
-    if not cache.get(key, ignore_expiration=True):
+    value = cache.get(key, ignore_expiration=True)
+    if isinstance(value, dogpile.cache.api.NoValue):
         log.debug("Not deleting cache key %s.  It is absent.", key)
         return
 

